[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TColorDialog.Destroy

Destructor for the class instance.

## Declaration

Source position: dialogs.pp line 333

`public destructor TColorDialog.Destroy; override;`

## Description

Destroy is the overridden destructor for TColorDialog. It frees resources allocated for the CustomColors property and calls the inherited Destroy method.

## See also

TColorDialog.CustomColors |  | Defines the color names and values available in the color dialog.
TLCLComponent.Destroy |  | Destructor for the class instance.